/***************************************************************************************

***************************************************************************************/


/*
*************************************************************************************
* File name: 
* Function: 
*
*************************************************************************************
*/

#include "global.h"
#include "defines.h"

// ========================================================
// external variables
// ========================================================
extern const int SCAN[64][2];      //!< Scan positions. Positions are stored as (pix,lin).
extern const byte QP_SCALE_CR[64] ;
      
// functions
void inv_transform_B8  (int curr_blk[B8_SIZE][B8_SIZE]);
void get_curr_blk      (int block8x8,struct img_par *img, int curr_blk[B8_SIZE][B8_SIZE]);
void idct_dequant_B8   (int block8x8,
                        int qp,                         // Quantization parameter
                        int curr_blk[B8_SIZE][B8_SIZE],
struct img_par *img
  );

int intrapred(struct img_par *img,int img_x,int img_y);
